<ion-header [translucent]="true">
  <ion-toolbar>
    <div style="display: flex;">
    <img style="width: 31px;" (click) ="openMenu()" src="https://www.samueldiosdado.com/wp-content/uploads/2017/08/Men%C3%BA-hamburguesa-herramienta-practica-o-icono-inutil.png" alt="">
    <ion-title>
      Elige tu Moto
    </ion-title>
  </div>
  </ion-toolbar>
</ion-header>
<ion-menu side="start" menuId="first" contentId="main">
  <ion-header>
    <ion-toolbar color="primary">
      <ion-title>Filtros Marcas</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-content>
    <ion-list> 
      <ion-item (click)="getDucati()"><img style="width: 90px;" src="https://assets.ducati.com/dist/0.7.4/assets/img/ducati_id.png" alt="">Ducati</ion-item>
      <ion-item (click)="getYamaha()"><img style="width: 90px;" src="https://comprarpegatinas.com/images/stories/virtuemart/product/pegatinas/Yamaha_02.png" alt="">Yamaha</ion-item>
      <ion-item (click)="getHonda()"><img style="width: 90px;" src="https://upload.wikimedia.org/wikipedia/commons/thumb/7/7b/Honda_Logo.svg/957px-Honda_Logo.svg.png" alt="">Honda</ion-item>
      <ion-item (click)="getJson()"><h5>Todas las motos</h5></ion-item>
    </ion-list>
  </ion-content>
</ion-menu>

<ion-router-outlet id="main"></ion-router-outlet>
<ion-content [fullscreen]="true">
  <ion-grid *ngFor="let moto of motos">
    <ion-row>
     
      <ion-col>
        <div style="display: flex; justify-content: start;" (click)="detalles(moto.id)">
          <img class="img" src="{{moto.foto}}" style="width: 80px;" alt="">
        <h5>{{moto.marca}} {{moto.modelo}} {{moto.id}}</h5>
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>
 <ion-menu side="start" content-id="main-content">
        <ion-header>
          <ion-toolbar translucent>
            <ion-title>Menu</ion-title>
          </ion-toolbar>
        </ion-header>
        <ion-content>
          <ion-list>
            <ion-item>
              <ion-icon name="mail" slot="start"></ion-icon>
              <ion-label>Inbox</ion-label>
            </ion-item>
            <ion-item>
              <ion-icon name="paper-plane" slot="start"></ion-icon>
              <ion-label>Outbox</ion-label>
            </ion-item>
            <ion-item>
              <ion-icon name="heart" slot="start"></ion-icon>
              <ion-label>Favorites</ion-label>
            </ion-item>
            <ion-item>
              <ion-icon name="archive" slot="start"></ion-icon>
              <ion-label>Archived</ion-label>
            </ion-item>
            <ion-item>
              <ion-icon name="trash" slot="start"></ion-icon>
              <ion-label>Trash</ion-label>
            </ion-item>
            <ion-item>
              <ion-icon name="warning" slot="start"></ion-icon>
              <ion-label>Spam</ion-label>
            </ion-item>
          </ion-list>
        </ion-content>
      </ion-menu>
      <ion-fab (click) = "addMore()" horizontal="end" vertical="center" slot="fixed" edge>
        <ion-fab-button>
          <ion-icon name="add"></ion-icon>
        </ion-fab-button>
      </ion-fab>
</ion-content>
